
Mystus_gulio_fn <- file.path(wkdir,'local','geo_data','Mystus gulio.shp')
Mystus_gulio_sf <- st_read(Mystus_gulio_fn)

# map
p6 <- ggplot() + 
  geom_sf(data=admin0_sf,fill = 'gray80') +
  geom_sf(data = Mystus_gulio_sf, 
          inherit.aes = FALSE, 
          fill = "pink", 
          #color = "#610000",
          alpha = .5, 
          size = 2) +
  coord_sf() +
  theme(
    axis.title.x = element_blank(),  # Remove x-axis title
    axis.title.y = element_blank(),  # Remove y-axis title
    axis.text.x = element_blank(),   # Remove x-axis text
    axis.text.y = element_blank(),   # Remove y-axis text
    axis.ticks = element_blank(),    # Remove axis ticks
    panel.background = element_blank(),  # Remove the grey background
    plot.background = element_blank(),   # Remove the overall plot background
    panel.grid.major = element_blank(), # Remove major grid lines
    panel.grid.minor = element_blank()  # Remove minor grid lines
  )

p6_fn <- file.path(figdir,'fig_06a_Mystus_gulio.png')
ggsave(p6_fn,p6,width = 4, height = 4)