
Lates_calcarifer_fn <- file.path(wkdir,'local','geo_data','Lates calcarifer.shp')
Lates_calcarifer_sf <- st_read(Lates_calcarifer_fn)

# map
p7 <- ggplot() + 
  geom_sf(data=admin0_sf,fill = 'gray80') +
  geom_sf(data = Lates_calcarifer_sf, 
          inherit.aes = FALSE, 
          fill = "pink", 
          #color = "#610000",
          alpha = .5, 
          size = 2) +
  coord_sf() +
  theme(
    axis.title.x = element_blank(),  # Remove x-axis title
    axis.title.y = element_blank(),  # Remove y-axis title
    axis.text.x = element_blank(),   # Remove x-axis text
    axis.text.y = element_blank(),   # Remove y-axis text
    axis.ticks = element_blank(),    # Remove axis ticks
    panel.background = element_blank(),  # Remove the grey background
    plot.background = element_blank(),   # Remove the overall plot background
    panel.grid.major = element_blank(), # Remove major grid lines
    panel.grid.minor = element_blank()  # Remove minor grid lines
  )

p7_fn <- file.path(figdir,'fig_07a_Lates_calcarifer.png')
ggsave(p7_fn,p7,width = 4, height = 4)
